/*******************************************************************************
 * Style sheet made for ESF help.
 * It extends the standard book.css provided by Eclipse.  
 *******************************************************************************/

/*******************************************************************************
 * Standard rules to edit the Help HTML content :
 *   - Don't use the encoded caracters &raquo; and &laquo; which are too heavy,
 *     prefer the '"' caracter.
 *   - Use an italic style for all the references to the menu, button, etc. 
 *     of the application, and don't wrap it between '"'
 *   - The beginning of a sentence in a list (ordered or not) must start by
 *     a capital letter
 *   - The large images must be bordered, and have standard margins. To do this
 *     automatically, use the CSS class "bordered". Moreover, their maximum 
 *     width is 650 to ensure that they can be displayed in the help window
 *   - The small images must not be bordered, and don't have any margins. To do 
 *     this automatically, use the CSS class "icon".  
 *   - The text content must be included in a paragraph <p>.
 *******************************************************************************/
 
/*****************************
 * Global margin management. *
 *****************************/

body {
	margin: 0px 0px 0px 0px;
}
span.icon {
	white-space: nowrap;
}

#banner {
	width: 100%;
	overflow: hidden;
}
#content {
	margin: 0px 10px 0px 10px;
}

/****************************
 * Global fonts management. *
 ****************************/
 
body, h1, h2, h3, h4, h5, h6, p, table, td, caption, th, ul, ol, dl, li, dd, dt {
  font-family: "Arial", "Helvetica", "sans-serif"; 
  color: #000000
}

/**************************
 * End fonts declarations *
 **************************/

body { font-size: 10.0pt; background: #FFFFFF; margin-bottom: 1em }
h1   { font-size: 14.0pt; margin-top: 25px; margin-bottom: 3px }	
h2   { font-size: 12.0pt; margin-top: 20px; margin-bottom: 3px }
h3   { font-size: 10.0pt; margin-top: 10px; margin-bottom: 3px; text-decoration:underline; }
p    { text-align: justify; }

p.titlegrey {
  border-width: thin;
  border-style: solid;   
  border-color: black;   
  color: white;
  background-color : #595959;
}

p.code {
  border-width: thin;
  border-style: dashed;   
  border-color: black;   
  background-color : #EEEEEE;
  font-family: "Courier New", "Courier", "Prestige", "monospace"; 
  font-size: 10.0pt;
  margin-left: 10px;
}

/******************************************
 * Management of the titles numerotation. *
 ******************************************/ 

body { counter-reset: h1 h2 h3; }
h1:before {
  content: counter(h1) " - ";
  counter-increment: h1;
}

h2:before {
  content: counter(h1) "." counter(h2) " - ";
  counter-increment: h2;
}

h3:before {
  content: counter(h1) "." counter(h2) "." counter(h3) " - ";
  counter-increment: h3;
}

h1 {
  counter-reset: h2;
}

h2 {
  counter-reset: h3;
}

h1.unnumbered, h2.unnumbered {
  counter-reset: none;
}

h1.unnumbered:before, 
h2.unnumbered:before,
h3.unnumbered:before {
  content: none;
  counter-increment: none;
}

/*************************
 * Table specifications. *
 *************************/

table {
  border: thin solid #9F8AB9;
  border-collapse: collapse;
  width: 60%;
  font-size: 10.0pt;
  font-family: "Arial","sans-serif";
}
      
th {
  background-color: #8064a2;
  color: #FFFFFF;
}

th, td {
  border: thin solid #9F8AB9;
  padding: 5px;
}

th.centered, td.centered {
  text-align: center;
}

tr:nth-child(even) {  
    background: #DFD8E8;  
}  

tr:nth-child(odd) {  
    background: #FFFFFF;
}

/*************************
 * Lists specifications. *
 *************************/
ul {
  padding-left: 2em;
}

ol {
  padding-left: 2em;
}

/**************************
 * Images specifications. *
 **************************/ 
img.bordered {
  border:1px solid black;
  margin: 10px 10px 10px 10px;
}

img.icon {
  margin: 0px 0px 0px 0px;
	width: 16px;
	height: 16px;
}

